﻿.tpvinput {
    display: block;
    width: 100%;
    min-height: calc(1.5em + 0.75rem + 2px);
    padding: 0.375rem 0.75rem !important;
    font-family: inherit;
    font-size: 1rem !important;
    font-weight: 400 !important;
    line-height: 1.5 !important;
    color: #212529;
    background-color: #fff;
    background-clip: padding-box !important;
    border: 1px solid #ced4da !important;
    appearance: none !important;
    border-radius: 0.375rem !important;
    box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.075) !important;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out !important;
}

.tpvinput[type="file"] {
    overflow: hidden;
}

.tpvinput[type="file"]:not(:disabled):not([readonly]) {
    cursor: pointer;
}

    .tpvinput:focus {
        color: #212529;
        background-color: #fff;
        border-color: #86b7fe !important;
        outline: 0 !important;
        box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.075), 0 0 0 0.25rem rgba(13, 110, 253, 0.25) !important;
    }

.tpvinput::-webkit-date-and-time-value {
    min-width: 85px;
    height: 1.5em;
    margin: 0;
}

.tpvinput::-webkit-datetime-edit {
    display: block;
    padding: 0;
}

.tpvinput::placeholder {
    color: #6c757d;
    opacity: 1;
}

.tpvinput:disabled {
    color: #6c757d;
    background-color: #e9ecef;
    border-color: #ced4da;
    opacity: 1;
}

.tpvinput::file-selector-button {
    padding: 0.375rem 0.75rem;
    margin: -0.375rem -0.75rem;
    margin-inline-end: 0.75rem;
    color: #212529;
    background-color: #e9ecef;
    pointer-events: none;
    border-color: inherit;
    border-style: solid;
    border-width: 0;
    border-inline-end-width: 1px;
    border-radius: 0;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.tpvinput:hover:not(:disabled):not([readonly])::file-selector-button {
    background-color: #dde0e3;
}

/* Readonly controls as plain text */
.tpvinput-plaintext {
    display: block;
    width: 100%;
    padding: 0.375rem 0;
    margin-bottom: 0;
    line-height: 1.5;
    color: #212529;
    background-color: transparent;
    border: solid transparent;
    border-width: 1px 0;
}

.tpvinput-plaintext:focus {
    outline: 0;
}

.tpvinput-plaintext.tpvinput-sm,
.tpvinput-plaintext.tpvinput-lg {
    padding-right: 0;
    padding-left: 0;
}

/* Sizes */
.tpvinput-sm {
    min-height: calc(1.5em + 0.5rem + 2px);
    padding: 0.25rem 0.5rem;
    font-size: 0.875rem;
    border-radius: 0.25rem;
}

.tpvinput-sm::file-selector-button {
    padding: 0.25rem 0.5rem;
    margin: -0.25rem -0.5rem;
    margin-inline-end: 0.5rem;
}

.tpvinput-lg {
    min-height: calc(1.5em + 1rem + 2px);
    padding: 0.5rem 1rem;
    font-size: 1.25rem;
    border-radius: 0.5rem;
}

.tpvinput-lg::file-selector-button {
    padding: 0.5rem 1rem;
    margin: -0.5rem -1rem;
    margin-inline-end: 1rem;
}

/* Textareas */
textarea.tpvinput {
    min-height: calc(1.5em + 0.75rem + 2px);
}

textarea.tpvinput-sm {
    min-height: calc(1.5em + 0.5rem + 2px);
}

textarea.tpvinput-lg {
    min-height: calc(1.5em + 1rem + 2px);
}

/* Color input */
.tpvinput-color {
    width: 3rem;
    height: calc(1.5em + 0.75rem + 2px);
    padding: 0.375rem;
}

.tpvinput-color:not(:disabled):not([readonly]) {
    cursor: pointer;
}

.tpvinput-color::-moz-color-swatch {
    border: 0 !important;
    border-radius: 0.375rem;
}

.tpvinput-color::-webkit-color-swatch {
    border: 0 !important;
    border-radius: 0.375rem;
}

.tpvinput-color.tpvinput-sm {
    height: calc(1.5em + 0.5rem + 2px);
}

.tpvinput-color.tpvinput-lg {
    height: calc(1.5em + 1rem + 2px);
}
